Loading...
Searching...
No Matches
itk::ANNBinaryTreeCreator Class Reference
Common » ANNwrap

`#include <itkANNBinaryTreeCreator.h>`

## Detailed Description

Definition at line 38 of file itkANNBinaryTreeCreator.h.

Inheritance diagram for itk::ANNBinaryTreeCreator:
[legend]

## Public Types

using | ANNbdTreeType = ANNbd_tree
using | ANNBruteForceTreeType = ANNbruteForce
using | ANNkDTreeType = ANNkd_tree
using | ANNPointArrayType = ANNpointArray
using | ANNShrinkRuleType = ANNshrinkRule
using | ANNSplitRuleType = ANNsplitRule
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = ANNBinaryTreeCreator
using | Superclass = Object

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ANNBinaryTreeCreator)

## Static Public Member Functions

static ANNbdTreeType * | CreateANNbdTree (ANNPointArrayType pa, int n, int d, int bs=1, ANNSplitRuleType split=ANN_KD_SUGGEST, ANNShrinkRuleType shrink=ANN_BD_SUGGEST)
static ANNBruteForceTreeType * | CreateANNBruteForceTree (ANNPointArrayType pa, int n, int d)
static ANNkDTreeType * | CreateANNkDTree (ANNPointArrayType pa, int n, int d, int bs=1, ANNSplitRuleType split=ANN_KD_SUGGEST)
static void | DecreaseReferenceCount ()
static void | DeleteANNBruteForceTree (ANNBruteForceTreeType *&tree)
static void | DeleteANNkDTree (ANNkDTreeType *&tree)
static void | IncreaseReferenceCount ()
static Pointer | New ()

## Protected Member Functions

| ANNBinaryTreeCreator ()=default
| ~ANNBinaryTreeCreator () override=default

## Static Private Attributes

static unsigned int | m_NumberOfANNBinaryTrees

## Member Typedef Documentation

## ANNbdTreeType

using itk::ANNBinaryTreeCreator::ANNbdTreeType = ANNbd_tree

Definition at line 58 of file itkANNBinaryTreeCreator.h.

## ANNBruteForceTreeType

using itk::ANNBinaryTreeCreator::ANNBruteForceTreeType = ANNbruteForce

Definition at line 59 of file itkANNBinaryTreeCreator.h.

## ANNkDTreeType

using itk::ANNBinaryTreeCreator::ANNkDTreeType = ANNkd_tree

ANN typedef's.

Definition at line 57 of file itkANNBinaryTreeCreator.h.

## ANNPointArrayType

using itk::ANNBinaryTreeCreator::ANNPointArrayType = ANNpointArray

Definition at line 60 of file itkANNBinaryTreeCreator.h.

## ANNShrinkRuleType

using itk::ANNBinaryTreeCreator::ANNShrinkRuleType = ANNshrinkRule

Definition at line 62 of file itkANNBinaryTreeCreator.h.

## ANNSplitRuleType

using itk::ANNBinaryTreeCreator::ANNSplitRuleType = ANNsplitRule

Definition at line 61 of file itkANNBinaryTreeCreator.h.

## ConstPointer

using itk::ANNBinaryTreeCreator::ConstPointer = SmartPointer<const Self>

Definition at line 47 of file itkANNBinaryTreeCreator.h.

## Pointer

using itk::ANNBinaryTreeCreator::Pointer = SmartPointer<Self>

Definition at line 46 of file itkANNBinaryTreeCreator.h.

## Self

using itk::ANNBinaryTreeCreator::Self = ANNBinaryTreeCreator

Standard itk.

Definition at line 44 of file itkANNBinaryTreeCreator.h.

## Superclass

using itk::ANNBinaryTreeCreator::Superclass = Object

Definition at line 45 of file itkANNBinaryTreeCreator.h.

## Constructor & Destructor Documentation

## ANNBinaryTreeCreator()

itk::ANNBinaryTreeCreator::ANNBinaryTreeCreator | ( |  | ) |

protected default

## ~ANNBinaryTreeCreator()

itk::ANNBinaryTreeCreator::~ANNBinaryTreeCreator | ( |  | ) |

override protected default

## Member Function Documentation

## CreateANNbdTree()

ANNbdTreeType * itk::ANNBinaryTreeCreator::CreateANNbdTree | ( | ANNPointArrayType | pa,
|  | int | n,
|  | int | d,
|  | int | bs = 1,
|  | ANNSplitRuleType | split = ANN_KD_SUGGEST,
|  | ANNShrinkRuleType | shrink = ANN_BD_SUGGEST )

static

Static function to create an ANN bdTree.

## CreateANNBruteForceTree()

ANNBruteForceTreeType * itk::ANNBinaryTreeCreator::CreateANNBruteForceTree | ( | ANNPointArrayType | pa,
|  | int | n,
|  | int | d )

static

Static function to create an ANN BruteForceTree.

## CreateANNkDTree()

ANNkDTreeType * itk::ANNBinaryTreeCreator::CreateANNkDTree | ( | ANNPointArrayType | pa,
|  | int | n,
|  | int | d,
|  | int | bs = 1,
|  | ANNSplitRuleType | split = ANN_KD_SUGGEST )

static

Static funtions to create and delete ANN trees. We keep a reference count so that when no more trees of any sort exist, we can call annClose(). This little function is cause of going through the trouble of creating this class with static creating functions. Static function to create an ANN kDTree.

## DecreaseReferenceCount()

void itk::ANNBinaryTreeCreator::DecreaseReferenceCount | ( |  | ) |

static

Static function to decrease the reference count to ANN trees.

## DeleteANNBruteForceTree()

void itk::ANNBinaryTreeCreator::DeleteANNBruteForceTree | ( | ANNBruteForceTreeType *& | tree | ) |

static

Static function to delete an ANN BruteForceTree.

## DeleteANNkDTree()

void itk::ANNBinaryTreeCreator::DeleteANNkDTree | ( | ANNkDTreeType *& | tree | ) |

static

Static function to delete any ANN tree that inherits from kDTree (not brute force).

## GetClassName()

virtual const char * itk::ANNBinaryTreeCreator::GetClassName | ( |  | ) | const

virtual

ITK type info.

## IncreaseReferenceCount()

void itk::ANNBinaryTreeCreator::IncreaseReferenceCount | ( |  | ) |

static

Static function to increase the reference count to ANN trees.

## ITK_DISALLOW_COPY_AND_MOVE()

itk::ANNBinaryTreeCreator::ITK_DISALLOW_COPY_AND_MOVE | ( | ANNBinaryTreeCreator |  | ) |

## New()

Pointer itk::ANNBinaryTreeCreator::New | ( |  | ) |

static

New method for creating an object using a factory.

## Field Documentation

## m_NumberOfANNBinaryTrees

unsigned int itk::ANNBinaryTreeCreator::m_NumberOfANNBinaryTrees

static private

Member variables.

Definition at line 110 of file itkANNBinaryTreeCreator.h.

Generated on 1768596610 for elastix by 1.15.0 |